org.keycloak.protocol.saml

## Class SamlService.BindingProtocol

- java.lang.Object
- - org.keycloak.protocol.saml.SamlService.BindingProtocol

- Direct Known Subclasses:
    SamlService.PostBindingProtocol, SamlService.RedirectBindingProtocol
  Enclosing class:
    SamlService

      public abstract class SamlService.BindingProtocol
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `redirectToAuthentication`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindingProtocol()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.ws.rs.core.Response` | `basicChecks(String samlRequest, String samlResponse)`
    `protected abstract SAMLDocumentHolder` | `extractRequestDocument(String samlRequest)`
    `protected abstract SAMLDocumentHolder` | `extractResponseDocument(String response)`
    `protected abstract String` | `getBindingType()`
    `protected String` | `getBindingType(AuthnRequestType requestAbstractType)`
    `protected javax.ws.rs.core.Response` | `handleSamlRequest(String samlRequest, String relayState)`
    `protected javax.ws.rs.core.Response` | `handleSamlResponse(String samlResponse, String relayState)`
    `protected javax.ws.rs.core.Response` | `loginRequest(String relayState, AuthnRequestType requestAbstractType, ClientModel client)`
    `protected javax.ws.rs.core.Response` | `logoutRequest(LogoutRequestType logoutRequest, ClientModel client, String relayState)`
    `protected abstract void` | `verifySignature(SAMLDocumentHolder documentHolder, ClientModel client)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### redirectToAuthentication

          protected boolean redirectToAuthentication

  - ### Constructor Detail

    - #### BindingProtocol

          public BindingProtocol()

  - ### Method Detail

    - #### basicChecks

          protected javax.ws.rs.core.Response basicChecks(String samlRequest,
                                                          String samlResponse)

    - #### handleSamlResponse

          protected javax.ws.rs.core.Response handleSamlResponse(String samlResponse,
                                                                 String relayState)

    - #### handleSamlRequest

          protected javax.ws.rs.core.Response handleSamlRequest(String samlRequest,
                                                                String relayState)

    - #### verifySignature

          protected abstract void verifySignature(SAMLDocumentHolder documentHolder,
                                                  ClientModel client)
                                           throws VerificationException

      Throws:
        `VerificationException`

    - #### extractRequestDocument

          protected abstract SAMLDocumentHolder extractRequestDocument(String samlRequest)

    - #### extractResponseDocument

          protected abstract SAMLDocumentHolder extractResponseDocument(String response)

    - #### loginRequest

          protected javax.ws.rs.core.Response loginRequest(String relayState,
                                                           AuthnRequestType requestAbstractType,
                                                           ClientModel client)

    - #### getBindingType

          protected String getBindingType(AuthnRequestType requestAbstractType)

    - #### getBindingType

          protected abstract String getBindingType()

    - #### logoutRequest

          protected javax.ws.rs.core.Response logoutRequest(LogoutRequestType logoutRequest,
                                                            ClientModel client,
                                                            String relayState)

Copyright © 2016 JBoss by Red Hat. All rights reserved.